Subject: Re: OpenGL linking problems
From: Marco Atzeri <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 11 Sep 2010 17:13:35 +0000 (GMT)
List-Id: <cygwin.cygwin.com>

--- Mer 8/9/10, Jon TURNEY ha scritto:

> On 08/09/2010 13:53, David Doria
> wrote:
> >> Oh, I guess you have a makefile generated by
> cmake? In which case you need
> >> make VERBOSE=1 to get it to show you what it is
> doing.
> >>
> >
> > Ok, now there is some useful output. I see an -lGL,
> what else should I
> > be looking for?
> >
> > /usr/bin/c++.exe 
>    -Wno-deprecated -mwin32
> [list of .o files snipped]
> >
> CMakeFiles/GraphicsCxxTests.dir/TestDecimatePolylineFilter.cxx.o 
> -o
> > ../../../bin/GraphicsCxxTests.exe
> >
> -Wl,--out-implib,../../../bin/libGraphicsCxxTests.dll.a
> > -Wl,--major-image-version,0,--minor-image-version,0
> > ../../../bin/libvtkRendering.a ../../../bin/libvtkIO.a
> -lGL -lGLU
> > ../../../bin/libvtkDICOMParser.a
> ../../../bin/libvtkNetCDF_cxx.a
> > ../../../bin/libvtkNetCDF.a
> ../../../bin/libvtkmetaio.a -lcomctl32
> > ../../../bin/libvtksqlite.a ../../../bin/libvtkpng.a
> > ../../../bin/libvtktiff.a ../../../bin/libvtkzlib.a
> > ../../../bin/libvtkjpeg.a ../../../bin/libvtkexpat.a
> -lvfw32
> > ../../../bin/libvtkGraphics.a
> ../../../bin/libvtkverdict.a
> > ../../../bin/libvtkImaging.a
> ../../../bin/libvtkFiltering.a
> > ../../../bin/libvtkCommon.a ../../../bin/libvtksys.a
> -lws2_32 -lm
> > -lpthread -lwsock32 -lgdi32 ../../../bin/libvtkftgl.a
> > ../../../bin/libvtkfreetype.a
> /usr/lib/w32api/libopengl32.a -lXt -lSM
> > -lICE -lX11 -lXext
> 
> Oh my! That's very confused about if it's building a w32api
> or an X11 application.
> 

eventually it is a problem of the current cmake-2.6.4

Using the previous cygport cmake-2.8.1-11 
and with only a patch at
  Utilities/vtkpng/pngconf.h

to remove the wrong 
  #if defined(__CYGWIN__)
  ...
  #endif
at row 104-147

plus a small additional modification during build at
Examples/Charts/Cxx/CMakeFiles/GraphItem.dir/link.txt
to help VTK to find one of its dll's

I was able to compile the full vtk-5.6.0
with :
-----------------------------------------------
98% tests passed, 7 tests failed out of 371

Total Test time (real) = 1910.59 sec

The following tests FAILED:
          1 - HeaderTesting-Common (Failed)
         19 - TestPolynomialSolversUnivariate (Failed)
        127 - SLACReaderLinear (Failed)
        128 - SLACReaderQuadratic (Failed)
        129 - SLACParticleReader (SEGFAULT)
        228 - HeaderTesting-Widgets (Failed)
        265 - TestSplineWidget (Failed)
Errors while running CTest
------------------------------------------------
 
and the dll's are correctly linked with cygGL-1.dll

Marco

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple